---
lang: en
title: 'API docs: cron.cronjoboptions'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/extensions/cron
permalink: /doc/en/lb4/apidocs.cron.cronjoboptions.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/cron](./cron.md) &gt; [CronJobOptions](./cron.cronjoboptions.md)

## CronJobOptions type

Options for a cron job. It adds an optional `name` to cron parameters.

[cron configuration](https://github.com/kelektiv/node-cron#api)

**Signature:**

```typescript
export type CronJobOptions = CronJobParameters & {
    name?: string;
};
```

